{% assign currentVersion = include.currentVersion %}

{% comment %}
  Try assigning an image url (wallpaper for the hero section) based on the current version.
{% endcomment %}
{% assign backgroundImage = currentVersion | prepend: "assets/img/wallpapers/wallpaper-" | append: ".jpg" | relative_url %}

{% assign backgroundValid = false %}
{% for static_file in site.static_files %}
  {% if static_file.path == backgroundImage %}
    {% comment %}
      Do not use image if no file for the current release exists.
    {% endcomment %}
    {% assign backgroundValid = true %}
  {% endif %}
{% endfor %}

{% comment %}
  Apply background image if bg image is valid (existing). Otherwise use version without any image.
{% endcomment %}
{% if backgroundValid %}
<section class="p-strip--image is-shallow is-dark" style="background-image: url('{{ backgroundImage }}'); background-size: cover; background-position: top 25% center;">
{% else %}
<section class="p-strip--suru is-shallow is-dark">
{% endif %}
  <div class="row">
    <div class="col-6">
      <h1>Ubuntu {{ currentVersion }}{% if include.isLts %} LTS{% endif %}</h1>
      {% if currentVersion == "24.04" %}
      <p>
        V nejnovější verzi Ubuntu{% if include.isLts %} s&nbsp;dlouhodobou podporou{% endif %} na vás čeká uživatelské prostředí GNOME&nbsp;46, linuxové jádro&nbsp;6.8, od základů přepracované centrum softwaru či nástroj pro aktualizaci firmwaru hardwarových komponent počítače. Vylepšeny byly rovněž notifikace o dostupnosti aktualizací balíčků snap s možností aktualizaci přímo spustit. Pro nové uživatele je nyní k dispozici zcela nový, přívětivější a snáze průchozí instalátor systému Ubuntu.
      </p>
      {% elsif currentVersion == "24.10" %}
      <p>
        <span class="dark-highlight">
          Nejnovější vydání přináší desktopové prostředí GNOME&nbsp;47 a s ním ruku v ruce celou řadu vylepšení uživatelského prostředí i některých s tím spojených aplikací, jako jsou Centrum aplikací či správce souborů Nautilus. Součástí je rovněž nové linuxové jádro ve verzi&nbsp;6.11 a aktualizaci neminuly ani další součásti a volitelné doplňky systému, včetně grafických ovladačů. A vzhledem ke 20.&nbsp;narozeninám Ubuntu se současně můžete těšit na vzpomínkové barevné schéma, vylepšené původní pozadí plochy nebo třeba původní melodii přihlášení. 
        </span>
      </p>
      {% else %}
      {% comment %}
        Fallback content for cases when no content is available for the current version.
      {% endcomment %}
      <p>
        Přejděte na nejnovější verzi Ubuntu{% if site.data.ubuntu_releases.latest.lts.version == site.data.ubuntu_releases.latest.release.version %} s&nbsp;dlouhodobou podporou{% endif %}, přinašející aktualizace a optimalizace usnadňující práci s&nbsp;vaším počítačem a vylepšující komunikaci s hardwarem, včetně podpory nových komponent a periferií.
      </p>
      {% endif %}
      <p>
        <a href="{% link _pages/ziskat-ubuntu/stahnout-desktop/index.html %}#{% if site.data.ubuntu_releases.latest.lts.version == site.data.ubuntu_releases.latest.release.version %}lts{% else %}standard{% endif %}" class="p-button--positive">Stáhnout Ubuntu {{ site.data.ubuntu_releases.latest.release.version_short }}{% if site.data.ubuntu_releases.latest.lts.version == site.data.ubuntu_releases.latest.release.version %} LTS{% endif %} pro počítač</a>
      </p>
      <p>
        <a href="{% link _pages/desktop/index.html %}{% if site.data.ubuntu_releases.latest.lts.version == site.data.ubuntu_releases.latest.release.version %}#lts{% else %}#standard{% endif %}" class="p-link--inverted">Zjistěte o Ubuntu více</a>
      </p>
    </div>
  </div>
</section>
